Subject: Re: pkg/34149 (angband-tty doesn't work after recent update)
To: None <>
From: David Holland <>
List: pkgsrc-bugs
Date: 08/06/2006 17:40:19
 > Patch un-applied:  SETGIDGAME is not to be set by a package.

Hm... oops.

I admit I didn't look at (or look for) the documentation for
SETGIDGAME, but now that I have I don't think it would have stopped me
from drawing the conclusion that I did.

It should probably be renamed SETGIDGAMES, and the documentation
should say that it's not supposed to be set by packages. (Otherwise
doubtless other people will continue to make the same mistake. As of
yesterday three games set it explicitly: tanked, xgalaga, and

Probably a better long-term approach would be to have it go by putting
setgid in $(PKG_OPTIONS).foo, but that's also probably a lot of work.

As for fixing angband... before anyone goes in and starts patching it,
it's probably a good idea to update to the latest version. And to
clean up the divergence between angband-tty and angband-x11, too.

Sigh. And here I thought this was an easy one...

   - David A. Holland /